Get GM RPO Codes (beta)

GM Regular Production Option (RPO) codes. For a VIN of a Buick, Cadillac, Chevrolet or GMC, the vehicle's full window-sticker RPO code list, each decoded where a description is on file. For a 2-4 character code, that code's description. Beta.

GET
/rpo/{vinOrCode}
AuthorizationBearer <token>

Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY

In: header

Path Parameters

vinOrCodestring

A 17-character VIN of a GM vehicle, or a 2-4 character RPO code, e.g. Z71

Response Body

curl -X GET "https://api.auto.dev/rpo/string"

{
  "vehicle": {
    "vin": "3GNAXHEG0SL169355",
    "year": 2025,
    "make": "Chevrolet",
    "model": "Equinox"
  },
  "total": 141,
  "decoded": 54,
  "codes": [
    {
      "code": "ACH",
      "description": null
    },
    {
      "code": "AGW",
      "description": null
    },
    {
      "code": "AKO",
      "description": "Deep-Tinted Glass"
    },
    {
      "code": "AL0",
      "description": null
    },
    {
      "code": "AQP",
      "description": null
    },
    {
      "code": "ARU",
      "description": null
    }
  ]
}

{
  "error": {
    "status": 400,
    "error": "Provide a 17-character VIN or a 2-4 character RPO code.",
    "code": "INVALID_VIN_FORMAT",
    "path": "/rpo/X",
    "requestId": "a5986c383c658f43"
  }
}

{
  "error": {
    "status": 404,
    "error": "RPO codes are available for GM vehicles (Buick, Cadillac, Chevrolet, GMC); VIN 1FMCU0G60LUA05025 is a Ford.",
    "code": "NO_DATA_FOUND",
    "path": "/rpo/1FMCU0G60LUA05025",
    "requestId": "a5986c277a0754d0"
  }
}
{
  "error": {
    "status": 0,
    "error": "string",
    "code": "string",
    "path": "string",
    "requestId": "string",
    "reason": "not_yet_available",
    "retryable": true,
    "detectedMarket": {
      "country": "string",
      "region": "string"
    },
    "detectedClass": {
      "vehicleType": "string"
    }
  },
  "vin": "string",
  "vinValid": true
}